org.eclipse.emf.cdo.view

## Class CDOViewEventProducer

- java.lang.Object
- - org.eclipse.net4j.util.container.SelfAttachingContainerListener
  - - org.eclipse.net4j.util.container.SelfAttachingContainerListener.Delegating
    - - org.eclipse.emf.cdo.view.CDOViewEventProducer

- All Implemented Interfaces:
    java.util.EventListener, IListener

      public class CDOViewEventProducer
      extends SelfAttachingContainerListener.Delegating

  Since:
    4.5
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDOViewEventProducer.CDOAttachingObjectEvent`
    `static class` | `CDOViewEventProducer.CDOCommittedTransactionEvent`
    `static class` | `CDOViewEventProducer.CDOCommittingTransactionEvent`
    `static class` | `CDOViewEventProducer.CDODetachingObjectEvent`
    `static class` | `CDOViewEventProducer.CDOModifyingObjectEvent`
    `static class` | `CDOViewEventProducer.CDOObjectStateChangedEvent`
    `static class` | `CDOViewEventProducer.CDORolledBackTransactionEvent`

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.container.SelfAttachingContainerListener

      `SelfAttachingContainerListener.Delegating, SelfAttachingContainerListener.DoNotDescend`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDOViewEventProducer(IListener delegate)`
    `CDOViewEventProducer(IListener delegate, boolean delegateContainerEvents)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attach(java.lang.Object element)`
    `void` | `detach(java.lang.Object element)`
    `protected boolean` | `produceObjectModificationEvents()`
    `protected boolean` | `produceObjectStateChangedEvents()`
    `protected boolean` | `produceTransactionDemarcationEvents()`

    - ### Methods inherited from class org.eclipse.net4j.util.container.SelfAttachingContainerListener.Delegating

      `notifyContainerEvent, notifyOtherEvent`

    - ### Methods inherited from class org.eclipse.net4j.util.container.SelfAttachingContainerListener

      `handleException, isActive, isWaitForActive, notifyEvent, shouldAttach, shouldDescend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOViewEventProducer

          public CDOViewEventProducer(IListener delegate,
                                      boolean delegateContainerEvents)

    - #### CDOViewEventProducer

          public CDOViewEventProducer(IListener delegate)

  - ### Method Detail

    - #### attach

          public void attach(java.lang.Object element)

      Overrides:
        `attach` in class `SelfAttachingContainerListener`

    - #### detach

          public void detach(java.lang.Object element)

      Overrides:
        `detach` in class `SelfAttachingContainerListener`

    - #### produceObjectStateChangedEvents

          protected boolean produceObjectStateChangedEvents()

    - #### produceObjectModificationEvents

          protected boolean produceObjectModificationEvents()

    - #### produceTransactionDemarcationEvents

          protected boolean produceTransactionDemarcationEvents()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html